QGIS Plugin Site - Feature request #4356
API for uploading new versions of plugins
2011-10-06 09:51 AM - Martin Dobias

Status: Closed

Priority: High

Assignee: Alessandro Pasotti
Category:

Pull Request or Patch supplied:
Description

In my opinion one reason why many developers did not use the old

plugin repository was that it was slightly inconvenient to upload new
versions - visit the site, login, find the plugin (only 10 plugins per

page), edit plugin details, find the zip file, upload. Having a simple

APl accepting POST requests (consisting of username, password, plugin
name, changelog and zip file) would be very handy - that would allow a
simple command line tool for deploying of plugins, completely

automating the process of packaging and uploading.

History

#1 -2011-11-11 02:27 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2011-12-19 06:21 AM - Alessandro Pasotti

- Status changed from Open to Resolved

#3 - 2011-12-19 06:23 AM - Alessandro Pasotti

- Status changed from Resolved to Closed
